﻿@model ContosoUniversity.Models.QuanlyMe

@{
    ViewBag.Title = "Chi tiết";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}
<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>

<h2 class="subtitle1">Chi tiết chỉ số / thông số vận hành</h2>

<style>
    input {
        border: none;
    }
</style>
<style>
    fieldset {
        display: flow-root;
        margin-inline-end: 0px;
        padding: 10px;
        padding-block-start: 0;
        padding-inline-start: 0px;
        padding-inline-end: 0;
        padding-block-end: 0;
        min-inline-size: min-content;
        border-width: 2px;
        /*border-style: groove;*/
        border-style: groove;
        border-color: rgb(192, 192, 192);
        border-image: initial;
        border-radius: 10px;
    }

        fieldset.mainp-2 {
            margin-inline-start: 0px;
            border-width: 0px;
            padding-left: 0px;
            padding-top: 0px;
        }

        fieldset.oner {
            padding-left: 0px;
            padding-top: 0px;
        }


    label.control-label.required::after {
        content: "*";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }

    legend {
        width: auto;
        margin-left: 10px;
        margin-bottom: auto;
        margin-right: 20px;
        border-bottom: none;
    }

    .form-group.col-sm-6 {
        padding: 0;
    }

    .col-xs-1, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9, .col-xs-10, .col-xs-11, .col-xs-12, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8 .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12 {
        padding-left: 10px;
        padding-right: 10px;
    }
    /* màn hình Ipad AIR*/
    @@media screen and (max-width: 719px) {
        .cont1 {
            margin-right: 0px;
            padding: 0;
        }

        .col-xs-1, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9, .col-xs-10, .col-xs-11, .col-xs-12, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8 .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12 {
            padding-left: 2px;
            padding-right: 2px;
        }

        .form-control {
            padding: 2px 2px;
        }

        fieldset {
            /*display: flow;*/
            display: flow-root;
            margin-top: 10px;
            margin-left: 0px;
            margin-bottom: 10px;
            margin-right: 0px;
            margin-inline-start: 0px;
            margin-inline-end: 0px;
            padding: 0px;
            padding-block-start: 0;
            padding-inline-start: 0px;
            padding-inline-end: 0;
            padding-block-end: 0;
            min-inline-size: min-content;
            border-width: 2px;
            /*border-style: groove;*/
            border-style: groove;
            border-color: rgb(192, 192, 192);
            border-image: initial;
            border-radius: 10px;
            padding-left: 10px;
            padding-top: 10px;
        }

            fieldset.mainp-2 {
                margin-inline-start: 0px;
                border-width: 2px;
                padding-left: 10px;
                padding-top: 10px;
            }

            fieldset.oner {
                padding-left: 10px;
                padding-top: 10px;
            }
    }
    /*Màn hình máy tính và lớn hơn*/
    @@media screen and (min-width: 720px) {
        fieldset {
            /*display: flow;*/
            display: flow-root;
            margin-top: 10px;
            margin-bottom: 10px;
            margin-inline-start: 20px;
            margin-inline-end: 0px;
            padding: 0px;
            padding-block-start: 0;
            padding-inline-start: 0px;
            padding-inline-end: 0;
            padding-block-end: 0;
            min-inline-size: min-content;
            border-width: 2px;
            /*border-style: groove;*/
            border-style: groove;
            border-color: rgb(192, 192, 192);
            border-image: initial;
            border-radius: 10px;
        }

            fieldset.mainp-2 {
                margin-inline-start: 0px;
                border-width: 4px;
                padding-left: 16px;
                padding-top: 10px;
            }

            fieldset.oner {
                padding-right: 0px;
            }

        .row {
            margin-left: 0;
            margin-right: 0;
            padding-left: 0;
            padding-right: 0;
        }

        .form-control {
            padding: 6px 8px;
        }

        .control-label {
            padding-right: 2px;
            padding-left: 5px;
        }

        .cont1 {
            margin-right: -12px;
            padding: 0;
        }

        .control-label.col-sm-4[for=belangTimeXaday] {
            margin-right: -10px;
        }
    }

    .form-horizontal .form-group {
        margin-left: 0px;
        margin-right: 0px;
    }
</style>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        @*<h4>Quản Lý Mẻ</h4>*@
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)


        <!-- Thông tin mẻ-->
        <fieldset class="border p-2 mainp-2">
            <legend data-toggle="false" data-target="#thongtinme" class="float-none w-auto p-2 text-toggle " aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                <b>Thông tin mẻ @Model.Id </b>

            </legend>
            <div id="thongtinme" class="collapse in">

                
                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.Thoigianbatdau, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4 form-control-static">

                            @Html.DisplayFor(model => model.Thoigianbatdau, new { htmlAttributes = new { @class = "form-control-static" } })
                            @Html.ValidationMessageFor(model => model.Thoigianbatdau, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.Thoigianketthuc, "Thời gian kết thúc", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4 form-control-static">
                            @Html.DisplayFor(model => model.Thoigianketthuc, new { htmlAttributes = new { @class = "form-control-static" } })
                            @Html.ValidationMessageFor(model => model.Thoigianketthuc, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>



            </div>
        </fieldset>   

        


        <div class="form-group">
            <div class="col-sm-2">
                <input type="button" value="Trở lại danh sách mẻ" class="btn btn-default" onclick="location.href='@Url.Action("Index", "QuanlyMe")'" />
            </div>
            <div class="col-sm-4" style="float:right;">
                @*<input type="submit" value="Lưu chỉnh sửa" class="btn btn-primary btn-block" />*@
                @Html.ActionLink("Edit", "Edit", new { id = Model.Id }, new { @class = "btn btn-primary btn-block" })
            </div>
        </div>
    </div>

}



<script>
    //const button = document.getElementById("p2");
    ////button.addEventListener('click', () => {
    ////    button.ariaExpanded = !JSON.parse(button.ariaExpanded);
    ////})

    //button.addEventListener("click", function (event) {
    //    button.ariaExpanded = !JSON.parse(button.ariaExpanded);
    //});

@* COLLAPSE BUTTON BOOTSTRAP3.0 *@


    var toggler = document.querySelectorAll('[data-toggle="collapse"]');
    var i;
    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.ariaExpanded = !JSON.parse(this.ariaExpanded);
        });
    }

    //function ChangeLegend() {
    //    debugger;
    //    var x = document.getElementById("p2").getAttribute("aria-expanded");
    //    if (x == "true") {
    //        x = "false"
    //    } else {
    //        x = "true"
    //    }
    //    document.getElementById("p2").setAttribute("aria-expanded", x);
    //}
</script>

@*<p>
        @Html.ActionLink("Edit", "Edit", new { id = Model.ThongsovanhanhID }) |
        @Html.ActionLink("Back to List", "Index")
    </p>*@
